Skip to content
LydieDevelopers
Menu

Get an attachment

View as Markdown
GET/v1/attachments/{id}
docs:readRead-only
Request
curl "https://api.lydie.co/v1/attachments/01JCQ3V5MZ8G4ZK2X7T9R6N1PB" \
  -H "Authorization: Bearer $LYDIE_TOKEN"

Path parameters

  • idULIDrequired

Response

200
{
  "id": "01JCQ3V5MZ8G4ZK2X7T9R6N1PB",
  "workspaceId": "01JCQ3TZ0WJ8K4M2X7T9R6N1PA",
  "documentId": null,
  "filename": "string",
  "contentType": "string",
  "size": 0,
  "sha256": "string",
  "createdAt": "2026-11-12T09:30:00.000Z",
  "updatedAt": "2026-11-12T09:30:00.000Z",
  "deletedAt": null,
  "createdBy": null,
  "updatedBy": null
}

Errors use one envelope for every endpoint. See Errors and versions.